Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.UserSetTradingPasswordRequest;
import org.openapis.openapi.models.operations.UserSetTradingPasswordResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UserSetTradingPasswordRequest req = UserSetTradingPasswordRequest.builder()
.password("MySecurePassword123!")
.build();
UserSetTradingPasswordResponse res = sdk.userManagement().setTradingPassword()
.request(req)
.call();
// handle response
}
}curl --request POST \
--url https://api.tradearies.dev/v1/users/me/trading-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "MySecurePassword123!"
}
'import requests
url = "https://api.tradearies.dev/v1/users/me/trading-password"
payload = { "password": "MySecurePassword123!" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: 'MySecurePassword123!'})
};
fetch('https://api.tradearies.dev/v1/users/me/trading-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}User Management
Set Trading Password
Sets a trading password for the authenticated user. Trading password is used for sensitive trading operations.
Requires bearer token authentication
POST
/
v1
/
users
/
me
/
trading-password
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.UserSetTradingPasswordRequest;
import org.openapis.openapi.models.operations.UserSetTradingPasswordResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UserSetTradingPasswordRequest req = UserSetTradingPasswordRequest.builder()
.password("MySecurePassword123!")
.build();
UserSetTradingPasswordResponse res = sdk.userManagement().setTradingPassword()
.request(req)
.call();
// handle response
}
}Was this page helpful?
⌘I